""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('workflow', '0050_secondary_storage_log'),
    ]

    DROP_VW_WORKFLOW_DETAILS = "DROP VIEW IF EXISTS vw_workflow_details;"
    CREATE_VW_WORKFLOW_DETAILS = """
        CREATE OR REPLACE VIEW vw_workflow_details AS
            SELECT
                id, parent_wf_id, created,
                '{}' as args, null as peer_details, '{}' as result, '{}' as env, null as records,
                metadata_id, priority, parent_id, modified, debug, node_name,
                status, name, template_iri, task_id, user, owners, tags, 'recent' as source
            FROM workflow_workflow
            UNION ALL
            SELECT
                id, parent_wf_id, created,
                '{}' as args, null as peer_details, '{}' as result, '{}' as env, null as records,
                metadata_id, priority, parent_id, modified, debug, node_name,
                status, name, template_iri, task_id, user, owners, tags, 'historical' as source
            FROM historical_workflow;"""

    operations = [
        migrations.RunSQL(DROP_VW_WORKFLOW_DETAILS),
        migrations.RunSQL(CREATE_VW_WORKFLOW_DETAILS),
        migrations.AlterField(
            model_name='secondarystoragelog',
            name='error_details',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='secondarystoragelog',
            name='info',
            field=models.TextField(blank=True, null=True),
        ),
    ]
