import django.contrib.postgres.fields
from django.db import migrations, models
import workflow.models


class Migration(migrations.Migration):
    dependencies = [
        ('workflow', '0051_workflow_combined_view'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalStep',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=500)),
                ('args', models.JSONField(default=dict)),
                ('result', models.JSONField(default=dict)),
                ('template_iri', models.URLField(blank=True, max_length=800, null=True)),
                ('task_id', models.CharField(blank=True, default='', max_length=500, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('func', models.CharField(default='', max_length=500)),
                ('status', models.CharField(
                    choices=[('incipient', 'incipient'), ('active', 'active'), ('paused', 'paused'),
                             ('failed', 'failed'), ('finished', 'finished'), ('awaiting', 'awaiting'),
                             ('skipped', 'skipped'), ('finished with error', 'finished_with_error'),
                             ('terminated', 'terminated'), ('in-progress', 'in_progress'), ('pending', 'pending'),
                             ('finished with mock', 'finished_with_mock')], default='incipient', max_length=30)),
                ('workflow_id', models.IntegerField()),
                ('initial', models.BooleanField(default=False)),
                ('input', models.JSONField(default=dict)),
                ('data', models.JSONField(default=dict)),
                ('started', models.DateTimeField(blank=True, null=True)),
                ('completed', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'db_table': 'historical_step',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='HistoricalWorkflow',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=500)),
                ('args', models.JSONField(default=dict)),
                ('result', models.JSONField(default=dict)),
                ('template_iri', models.URLField(blank=True, max_length=800, null=True)),
                ('task_id', models.CharField(blank=True, default='', max_length=500, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status', models.CharField(
                    choices=[('incipient', 'incipient'), ('active', 'active'), ('paused', 'paused'),
                             ('failed', 'failed'), ('finished', 'finished'), ('awaiting', 'awaiting'),
                             ('rejected', 'rejected'), ('skipped', 'skipped'),
                             ('finished with error', 'finished_with_error'), ('terminated', 'terminated')],
                    default='incipient', max_length=30)),
                ('env', models.JSONField(default=dict)),
                ('peer_details', models.JSONField(default=dict)),
                ('parent_id', models.IntegerField()),
                ('parent_wf_id', models.IntegerField()),
                ('debug', models.BooleanField(default=False)),
                ('user', models.CharField(default='', max_length=500)),
                ('records',
                 django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), blank=True,
                                                           null=True, size=None)),
                ('owners',
                 django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), blank=True,
                                                           null=True, size=None)),
                ('tags', models.CharField(blank=True, max_length=1000, null=True)),
                ('node_name', models.CharField(blank=True, default='', max_length=100, null=True)),
            ],
            options={
                'db_table': 'historical_workflow',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='WorkflowView',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=500)),
                ('args', models.JSONField(default=dict)),
                ('result', models.JSONField(default=dict)),
                ('template_iri', models.URLField(blank=True, max_length=800, null=True)),
                ('task_id', models.CharField(blank=True, default='', max_length=500, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status', models.CharField(
                    choices=[('incipient', 'incipient'), ('active', 'active'), ('paused', 'paused'),
                             ('failed', 'failed'), ('finished', 'finished'), ('awaiting', 'awaiting'),
                             ('rejected', 'rejected'), ('skipped', 'skipped'),
                             ('finished with error', 'finished_with_error'), ('terminated', 'terminated')],
                    default='incipient', max_length=30)),
                ('env', models.JSONField(default=dict)),
                ('peer_details', models.JSONField(default=dict)),
                ('parent_id', models.IntegerField()),
                ('parent_wf_id', models.IntegerField()),
                ('debug', models.BooleanField(default=False)),
                ('user', models.CharField(default='', max_length=500)),
                ('records',
                 django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), blank=True,
                                                           null=True, size=None)),
                ('owners',
                 django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), blank=True,
                                                           default=workflow.models._owners_default_Callable, null=True,
                                                           size=None)),
                ('tags', models.CharField(blank=True, max_length=1000, null=True)),
                ('node_name', models.CharField(blank=True, default='', max_length=100, null=True)),
            ],
            options={
                'db_table': 'vw_workflow_details',
                'managed': False,
            },
        ),
    ]
